Bug 561439 - Review Request: aduna-commons-pom - Aduna Commons parent pom
Review Request: aduna-commons-pom - Aduna Commons parent pom
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Goode
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 563477 563479 563480 563481 563483
  Show dependency treegraph
 
Reported: 2010-02-03 11:36 EST by Mary Ellen Foster
Modified: 2010-03-15 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: aduna-commons-pom-16-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-15 20:47:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
adam: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2010-02-03 11:36:13 EST
Spec URL: http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-pom.spec
SRPM URL:
http://www.macs.hw.ac.uk/~mef3/soprano-sesame/aduna-commons-pom-16-1.src.rpm

Description:
This package provides the parent POM for all aduna-commons packages
Comment 1 Adam Goode 2010-02-09 23:37:58 EST
rpmlint:

aduna-commons-pom.noarch: W: no-documentation
aduna-commons-pom.noarch: W: non-conffile-in-etc /etc/maven/fragments/aduna-commons-pom
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Seems ok.


All MUSTs pass.

A few comments:

 * Consider using cp -a or something like that to preserve the timestamps in %prep.
 * Consider including the upstream license as a source and put into %doc.

All other SHOULDs look good.


Also, the SRPM wasn't in the right place, I had to dig around in the webspace for it.
Comment 2 Adam Goode 2010-02-09 23:40:41 EST
ACCEPT
Comment 3 Mary Ellen Foster 2010-02-10 05:55:00 EST
New Package CVS Request
=======================
Package Name: aduna-commons-pom
Short Description: Aduna commons parent POM
Owners: mef
Branches: F-12
Comment 4 Kevin Fenzi 2010-02-11 01:23:08 EST
CVS done (by process-cvs-requests.py).
Comment 5 Fedora Update System 2010-02-11 04:53:49 EST
aduna-commons-pom-16-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/aduna-commons-pom-16-1.fc12
Comment 6 Fedora Update System 2010-02-11 23:45:28 EST
aduna-commons-pom-16-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aduna-commons-pom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1796
Comment 7 Fedora Update System 2010-03-15 20:47:25 EDT
aduna-commons-pom-16-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.